Bug 1158407 - sapconf does not activate "sap-netweaver" tuned profile
Summary: sapconf does not activate "sap-netweaver" tuned profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sapconf
Version: 6.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 6.6
Assignee: Jan Grulich
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1018941 1158902
TreeView+ depends on / blocked
 
Reported: 2014-10-29 10:18 UTC by Frank Danapfel
Modified: 2015-07-22 06:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, the sapconf package was not updated to reflect the changes made to the profiles of the tuned daemon for SAP NetWeaver. As a consequence, the activation of a tuned profile searched for the deprecated "sap" profile and therefore failed. With this update, using the "sapconf" command installs the tuned-profiles-sap package if it is not already installed, and the TUNED_SAP_PROFILE variable has been changed to "sap-netweaver". As a result, sapconf now properly uses the "sap-netweaver" profile and activating a tuned profile proceeds as expected.
Clone Of:
: 1158409 1158902 (view as bug list)
Environment:
Last Closed: 2015-07-22 06:38:52 UTC


Attachments (Terms of Use)
patch to modify sapconf to activate the "sap-netweaver" profile (1.76 KB, patch)
2014-10-29 10:40 UTC, Frank Danapfel
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1329 normal SHIPPED_LIVE sapconf bug fix and enhancement update 2015-07-20 18:00:14 UTC

Description Frank Danapfel 2014-10-29 10:18:32 UTC
Description of problem:
Since the tuned profiles for SAP NetWeaver are now shipped via the "tuned-profiles-sap" package (see https://bugzilla.redhat.com/show_bug.cgi?id=1153063) and the "sap" profile has been renamed to "sap-netweaver", sapconf needs to be updated.

Version-Release number of selected component (if applicable):
sapconf-0.98-2.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. install sapconf
2. run sapconf
3. check active tuned profile

Actual results:
- only tuned package is installed as dependency:
# yum install sapconf
...
Installing for dependencies:
 tuned    noarch     0.2.19-13.el6_6.1    rhel-x86_64-server-6     94 k

- tuned profile activation fails with "Unable to activate tuned 'sap' profile."

Expected results:
- sapconf rpm should have "tuned-profiles-sap" as dependency
- TUNED_SAP_PROFILE variable needs to be changed from "sap" to "sap-netweaver"

Additional info:

Comment 2 Frank Danapfel 2014-10-29 10:40:06 UTC
Created attachment 951739 [details]
patch to modify sapconf to activate the "sap-netweaver" profile

Comment 7 errata-xmlrpc 2015-07-22 06:38:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1329.html


Note You need to log in before you can comment on or make changes to this bug.